# sudoers file.
#
# This file MUST be edited with the 'visudo' command as root.
#
# See the sudoers man page for the details on how to write a sudoers file.
#

# Host alias specification

# User alias specification

# Cmnd alias specification
Cmnd_Alias DISTRO_CMD = /usr/bin/rpm, /usr/bin/dnf, /usr/bin/smart, /sbin/ldconfig
# Cmnd_Alias EXTRA_CMD =
Cmnd_Alias SYSADM_CMD = /bin/systemctl, /bin/journalctl, /usr/sbin/ufw
Cmnd_Alias SYSADM_CMD_PASSWD = /sbin/*, /usr/sbin/*, /bin/*, /usr/bin/*, /opt/kde/bin/*, /opt/kde3/bin/*

# Defaults specification

# Runas alias specification

# User privilege specification
root    ALL=(ALL) ALL

# Samples
# %users  ALL=/sbin/mount /cdrom,/sbin/umount /cdrom
# %users  localhost=/sbin/shutdown -h now

%sysadmin ALL = PASSWD: ALL
%packager ALL = NOPASSWD: DISTRO_CMD
%sysadmin ALL = NOPASSWD: DISTRO_CMD
%sysadmin ALL = NOPASSWD: SYSADM_CMD
# %sysadmin ALL = NOPASSWD: EXTRA_CMD

#includedir /etc/sudoers.d
